summaryrefslogtreecommitdiffstats
path: root/libraries/libflashsupport/libflashsupport.SlackBuild
diff options
context:
space:
mode:
author Mauro Giachero <mauro dot giachero at gmail dot com>2010-05-11 22:54:05 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:05 +0200
commit462de9b508542d5069211314532b588eb28be0d4 (patch)
tree9cfa20c733324acbc60bc9ce8108e438eba1ae91 /libraries/libflashsupport/libflashsupport.SlackBuild
parentfa9af533cb57d578eb60335c7cb95df7b2d4c466 (diff)
downloadslackbuilds-462de9b508542d5069211314532b588eb28be0d4.tar.gz
slackbuilds-462de9b508542d5069211314532b588eb28be0d4.tar.xz
libraries/libflashsupport: Added to 12.1 repository
Diffstat (limited to 'libraries/libflashsupport/libflashsupport.SlackBuild')
-rw-r--r--libraries/libflashsupport/libflashsupport.SlackBuild97
1 files changed, 97 insertions, 0 deletions
diff --git a/libraries/libflashsupport/libflashsupport.SlackBuild b/libraries/libflashsupport/libflashsupport.SlackBuild
new file mode 100644
index 0000000000..4fb7eb29e7
--- /dev/null
+++ b/libraries/libflashsupport/libflashsupport.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for libflashsupport
+
+# Written by Mauro Giachero (mauro dot giachero at gmail dot com)
+
+# Copyright 2008 Mauro Giachero
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libflashsupport
+VERSION=${VERSION:-20080328}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# If you want PulseAudio support, start with PULSE=yes
+PULSE=${PULSE:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Enable OSS and GNUTLS support
+patch -p1 <$CWD/change-features.patch
+
+# Disable PulseAudio
+[ "$PULSE" = "no" ] && patch -p1 <$CWD/disable-pulse.patch
+
+NOCONFIGURE=yes \
+./bootstrap.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# The license is in the source file. Extract it.
+head -n $(grep -n -m1 "\*/" flashsupport.c |cut -d: -f1) flashsupport.c \
+ >$PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz